AddSeparator 方法 (ActiveX)
将分隔符添加到现有菜单或工具栏。 支持的平台:仅限 Windows 签名VBA: RetVal = object.AddSeparator(Index) 言论菜单或工具栏中的第一项不能是分隔符,因此不能将分隔符添加到索引位置 0。 不能在紧挨着另一个分隔符旁边添加分隔符。 例子VBA: Sub Example_AddSeparator() ' This example creates a new menu called TestMenu and inserts a menu item ' and a separator into it. The menu is then displayed on the menu bar. ' To remove the menu after execution of this macro, use the Customize Menu ' option from the Tools menu. Dim currMenuGroup As acadMenuGroup Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0) ' Create the new menu Dim newMenu As AcadPopupMenu Set newMenu = currMenuGroup.Menus.Add("TestMenu") ' Add a menu item to the new menu Dim newMenuItem As AcadPopupMenuItem Dim openMacro As String ' Assign the macro string the VB equivalent of "ESC ESC _open " openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32) Set newMenuItem = newMenu.AddMenuItem(newMenu.count + 1, "Open", openMacro) ' Add a separator to the end of the menu Dim newMenuSeparator As AcadPopupMenuItem Set newMenuSeparator = newMenu.AddSeparator("") ' Display the menu on the menu bar newMenu.InsertInMenuBar ThisDrawing.Application.MenuBar.count + 1 End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AddSeparator() ;; This example creates a new menu called TestMenu and inserts a menu item ;; and a separator into it. The menu is then displayed on the menu bar. ;; To remove the menu after execution of this macro, use the Customize Menu ;; option from the Tools menu. (setq acadObj (vlax-get-acad-object)) (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0)) ;; Create the new menu (setq newMenu (vla-Add (vla-get-Menus currMenuGroup) "TestMenu")) ;; Add a menu item to the new menu (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32))) (setq newMenuItem (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open" openMacro)) ;; Add a separator to the end of the menu (setq newMenuSeparator (vla-AddSeparator newMenu "")) ;; Display the menu on the menu bar (vla-InsertInMenuBar newMenu (1+ (vla-get-Count (vla-get-MenuBar acadObj)))) ;; Display the menu bar (vla-SetVariable doc "MENUBAR" 1) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 12:36
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.